Subject: Re: linux-next: manual merge of the tty tree with the slave-dma tree

From: Greg KH <[email-masked]>
Date: Mon, 5 Sep 2016 13:33:33 +0200

On Mon, Sep 05, 2016 at 04:58:02PM +0530, Vinod Koul wrote:
> On Mon, Sep 05, 2016 at 04:43:21PM +1000, Stephen Rothwell wrote:
> > Hi Greg,
> > 
> > Today's linux-next merge of the tty tree got a conflict in:
> > 
> >   drivers/dma/imx-sdma.c
> > 
> > between commit:
> > 
> >   48dc77e2d4fc ("dmaengine: imx-sdma: convert callback to helper function")
> > 
> > from the slave-dma tree and commit:
> > 
> >   15f30f513111 ("dmaengine: imx-sdma - reduce transfer latency for DMA cyclic clients")
> > 
> > from the tty tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> 
> Stephen,
> 
> The fix looks right to me.
> 
> Greg let me know if you would like me to merge this to avoid conflict

Sure, which way do you want to merge, do you want me to pull your tree
into mine, or do you want to pull my tree into yours?  Either is fine
with me.

thanks,

greg k-h